CREATE TABLE gl_automatic_posting_options_ (
    AUTOPOST_OPTION_ID       NUMBER(18, 0) ,
    POSTING_PRIORITY         NUMBER(2, 0)  ,
    SET_OF_BOOKS_ID          NUMBER(18, 0) ,
    ACTUAL_FLAG              VARCHAR2(4)   ,
    PERIOD_NAME              VARCHAR2(60)  ,
    JE_SOURCE_NAME           VARCHAR2(100) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    CREATION_DATE            TIMESTAMP(6)  ,
    CREATED_BY               VARCHAR2(256) ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    ATTRIBUTE1               VARCHAR2(600) ,
    ATTRIBUTE2               VARCHAR2(600) ,
    ATTRIBUTE3               VARCHAR2(600) ,
    ATTRIBUTE4               VARCHAR2(600) ,
    ATTRIBUTE5               VARCHAR2(600) ,
    ATTRIBUTE_CATEGORY       VARCHAR2(600) ,
    AUTOPOST_SET_ID          NUMBER(18, 0) ,
    JE_CATEGORY_NAME         VARCHAR2(100) ,
    ATTRIBUTE6               VARCHAR2(600) ,
    ATTRIBUTE7               VARCHAR2(600) ,
    ATTRIBUTE8               VARCHAR2(600) ,
    ATTRIBUTE9               VARCHAR2(600) ,
    ATTRIBUTE10              VARCHAR2(600) ,
    ATTRIBUTE11              VARCHAR2(600) ,
    ATTRIBUTE12              VARCHAR2(600) ,
    ATTRIBUTE13              VARCHAR2(600) ,
    ATTRIBUTE14              VARCHAR2(600) ,
    ATTRIBUTE15              VARCHAR2(600) ,
    LEDGER_ID                NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)  ,
    AUDIT_ACTION_TYPE_       VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_    VARCHAR2(4000),
    AUDIT_IMPERSONATOR_      VARCHAR2(256) ,
    AUTOPOST_OPTION_ID       NUMBER(18, 0) ,
    POSTING_PRIORITY         NUMBER(2, 0)  ,
    SET_OF_BOOKS_ID          NUMBER(18, 0) ,
    ACTUAL_FLAG              VARCHAR2(4)   ,
    PERIOD_NAME              VARCHAR2(60)  ,
    JE_SOURCE_NAME           VARCHAR2(100) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    CREATION_DATE            TIMESTAMP(6)  ,
    CREATED_BY               VARCHAR2(256) ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    ATTRIBUTE1               VARCHAR2(600) ,
    ATTRIBUTE2               VARCHAR2(600) ,
    ATTRIBUTE3               VARCHAR2(600) ,
    ATTRIBUTE4               VARCHAR2(600) ,
    ATTRIBUTE5               VARCHAR2(600) ,
    ATTRIBUTE_CATEGORY       VARCHAR2(600) ,
    AUTOPOST_SET_ID          NUMBER(18, 0) ,
    JE_CATEGORY_NAME         VARCHAR2(100) ,
    ATTRIBUTE6               VARCHAR2(600) ,
    ATTRIBUTE7               VARCHAR2(600) ,
    ATTRIBUTE8               VARCHAR2(600) ,
    ATTRIBUTE9               VARCHAR2(600) ,
    ATTRIBUTE10              VARCHAR2(600) ,
    ATTRIBUTE11              VARCHAR2(600) ,
    ATTRIBUTE12              VARCHAR2(600) ,
    ATTRIBUTE13              VARCHAR2(600) ,
    ATTRIBUTE14              VARCHAR2(600) ,
    ATTRIBUTE15              VARCHAR2(600) ,
    LEDGER_ID                NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)  ,
    AUDIT_ACTION_TYPE_       VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_    VARCHAR2(4000),
    AUDIT_IMPERSONATOR_      VARCHAR2(256) ,
    CONSTRAINT pk_gl_automatic_posting_options_ PRIMARY KEY (AUTOPOST_OPTION_ID, LAST_UPDATE_DATE, LAST_UPDATED_BY, AUTOPOST_OPTION_ID, LAST_UPDATE_DATE, LAST_UPDATED_BY)
);
